#include <bits/stdc++.h>

using namespace std;

int main()
{
    long long v;
    cin >> v;
    int s=0;
    while(v)
    {
        int h=v%10;
            if(h>=5)
            {
                h=h-5;
                s++;
            }
            while(h>=2)
            {
                h=h-2;
                s++;
            }
            if(h==1)
                s++;
        v=v/10;
    }
    cout << s;
}